SciQLOP - User story #2501

Mise en place de tests aléatoires sur lI'acquisition
07/12/2017 09:54 AM - Anonymous

Status: In Progress Spent time: 0.00 hour
Priority: Normal

Assignee:

Category: legacy

Target version:

Story points: 3 Module:

Description

Mettre en place des tests unitaires permettant de lancer un certain nombre d'opérations aléatoires d'acquisition, et de comparer les
résultats en sortie avec les résultats théoriques attendus.

Les opérations d'acquisition qui peuvent étre rendus aléatoires sont :

la création de variable (avec un type aléatoire ?)

la suppression de variable

le zoom in

le zoom out

le pan & gauche

le pan a droite

le pan avec calibration

I'ajout d'une variable dans une zone de synchronisation

¢ |a suppression d'une variable d'une zone de synchronisation
¢ |le changement du pourcentage de téléchargement de cache
¢ 'annulation du téléchargement de données

Les résultats qui peuvent étre testés en sortie sont, pour chaque variable :
e son range courant
® son cache range courant
¢ ses données courantes

Chaque cas de test défini fixera les limites du test aléatoire :

nombre d'opérations a effectuer

nombre de variables max pouvant étre créées

bornes min/max des variables pour les opérations de déplacement
e pourcentages min/max de déplacement/de zoom

temps d'attente max entre chaque opération

Le moteur de test s'assurera de la cohérence de génération des opérations aléatoires (par exemple, éviter d'appeler une
synchronisation de variable d'une variable déja synchronisée).

Subtasks:

Task # 2502: Mettre en place la structure d'un test aléatoire Closed
Task # 2503: Ajouter les opérations de déplacement Closed
Task # 2504: Mettre en place la validation des tests aléatoires Closed
Task # 2506: Ajouter I'opération de suppression de variable Closed
Task # 2507: Ajouter des poids de fréquence d'exécution des opérations Closed
Task # 2508: Ajouter les opérations de synchronisation/désynchronisation Closed
Task # 2509: Ajouter I'opération d'annulation New
Task # 2510: Améliorer I'exécution des opérations Closed
History

#1 - 07/12/2017 10:02 AM - Anonymous
- Status changed from New to In Progress
PBI status auto updated to In Progress because at least one task wasn't on New status

#2 - 11/12/2017 10:38 AM - Anonymous
- Description updated

#3 - 14/02/2019 09:59 AM - Alexis Jeandet
- Category set to legacy

13/03/2024 22


http://www.tcpdf.org

